> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/flowcoll/configuration.md).

# Configuration

- [Encrypting Configuration Files](https://docs.elastiflow.com/flowcoll/configuration/encrypting-configuration-files.md)
- [Encrypting Azure Vnet Configuration](https://docs.elastiflow.com/flowcoll/configuration/encrypting-configuration-files/encrypting-azure-vnet-configuration.md)
- [Inputs](https://docs.elastiflow.com/flowcoll/configuration/inputs.md)
- [Netflow/IPFIX/sFlow (UDP)](https://docs.elastiflow.com/flowcoll/configuration/inputs/input_udp.md)
- [AWS Flow Logs (Firehose HTTP)](https://docs.elastiflow.com/flowcoll/configuration/inputs/input_aws_firehose.md)
- [AWS Flow Logs (S3)](https://docs.elastiflow.com/flowcoll/configuration/inputs/input_aws_s3.md)
- [Azure Flow Logs (VNET)](https://docs.elastiflow.com/flowcoll/configuration/inputs/input_azure_vnet.md)
- [Benchmark Input](https://docs.elastiflow.com/flowcoll/configuration/inputs/input_benchmark.md)
- [OTel](https://docs.elastiflow.com/flowcoll/configuration/inputs/otel.md)
- [Trace](https://docs.elastiflow.com/flowcoll/configuration/inputs/otel/trace.md): The OTLP (OpenTelemetry Protocol) input enables the ingestion of trace data from any OTel compatible source
- [Flow Processing](https://docs.elastiflow.com/flowcoll/configuration/flow-processing.md)
- [Sample Rate Adjustments](https://docs.elastiflow.com/flowcoll/configuration/flow-processing/sampling.md)
- [Enrichment Options](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options.md)
- [Application ID](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_apps.md)
- [IP Address Enrichment](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/ip-address-enrichment.md)
- [ElastiFlow NetIntel](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/ip-address-enrichment/enrich_ip_netintel.md)
- [Maxmind GeoIP2 and GeoLite2](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/ip-address-enrichment/enrich_ip_maxmind.md)
- [DNS Enrichment](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/ip-address-enrichment/enrich_ip_hostname.md)
- [User-Defined Metadata (UDM) for Addresses](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/ip-address-enrichment/enrich_ip_udm.md)
- [UDM Configurations (Addresses)](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/ip-address-enrichment/enrich_ip_udm/enrich_ip_udm.md)
- [Network Interface Enrichment](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_netif_options.md)
- [Option Record](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_netif_options/option-record.md)
- [SNMP-Based Flow Enrichment](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_netif_options/enrich_netif_snmp.md)
- [User-Defined Metadata (UDM) for Interfaces](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_netif_options/enrich_netif.md)
- [UDM Configurations (Interfaces)](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_netif_options/enrich_netif/enrich_netif_udm.md)
- [Community/Conversation IDs](https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_comcon.md)
- [Outputs](https://docs.elastiflow.com/flowcoll/configuration/outputs.md)
- [Elasticsearch](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_elasticsearch.md)
- [Elastic Configuration Options](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_elasticsearch/elastic-configuration-options.md)
- [OpenSearch](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_opensearch.md)
- [OpenSearch Configuration Options](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_opensearch/opensearch-configuration-options.md)
- [Cribl](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_cribl.md)
- [Kafka](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_kafka.md)
- [Generic HTTP](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_http.md)
- [Monitor](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_monitor.md)
- [OTEL](https://docs.elastiflow.com/flowcoll/configuration/outputs/otel.md)
- [Trace](https://docs.elastiflow.com/flowcoll/configuration/outputs/otel/trace.md): The OTEL output enables the collector to export trace data to OpenTelemetry-compliant backends.
- [Splunk](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_splunk_hec.md)
- [Standard Out](https://docs.elastiflow.com/flowcoll/configuration/outputs/output_stdout.md)
- [General Configuration](https://docs.elastiflow.com/flowcoll/configuration/config_gen.md)
- [Licensing](https://docs.elastiflow.com/flowcoll/configuration/config_gen/license.md)
- [Logging](https://docs.elastiflow.com/flowcoll/configuration/config_gen/logging.md)
- [Persistent storage](https://docs.elastiflow.com/flowcoll/configuration/config_gen/data_path.md)
- [Metrics output interval](https://docs.elastiflow.com/flowcoll/configuration/config_gen/metrics_interval.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/flowcoll/configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
